## akonadi-search 25.12.1

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.6.1")
project(AkonadiSearch VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CMakeDependentOption)
include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    agent/*.cpp
    agent/*.h
    agent/*.c
    akonadiplugin/*.cpp
    akonadiplugin/*.h
    akonadiplugin/*.c
    core/*.cpp
    core/*.h
    core/*.c
    debug/*.cpp
    debug/*.h
    debug/*.c
    lib/*.cpp
    lib/*.h
    lib/*.c
    runner/*.cpp
    runner/*.h
    runner/*.c
    search/*.cpp
    search/*.h
    search/*.c
    xapian/*.cpp
    xapian/*.h
    xapian/*.c
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

cmake_dependent_option(
    AKONADISEARCH_ENABLE_KRUNNER_RUNNER
    "Build KRunner runner to search contacts"
    ON
    "NOT WIN32;NOT APPLE"
    OFF
)

set(AKONADISEARCH_VERSION ${PIM_VERSION})

set(AKONADI_VERSION "6.6.1")
set(AKONADI_MIMELIB_VERSION "6.6.1")
set(KMIME_LIB_VERSION "6.6.1")
set(QT_REQUIRED_VERSION "6.8.0")
set(KPIM_MIME_VERSION "6.6.1")
set(KTEXTADDONS_MIN_VERSION "1.8.0")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
find_package(
    KF6
    ${KF_MIN_VERSION}
    REQUIRED
    COMPONENTS I18n Config Crash DBusAddons KCMUtils KIO
)
if(AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    find_package(KF6Runner ${KF_MIN_VERSION} REQUIRED)
endif()

find_package(Xapian CONFIG)
set_package_properties(
    Xapian
    PROPERTIES
        DESCRIPTION "The Xapian search engine library"
        URL "https://xapian.org"
        TYPE REQUIRED
)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(Corrosion CONFIG)
set_package_properties(
    Corrosion
    PROPERTIES
        PURPOSE "Required for safe parsing of html emails"
        DESCRIPTION
            "CMake scripts to seamlessly build and link to targets using cargo"
        URL https://github.com/corrosion-rs/corrosion
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADISEARCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfigVersion.cmake"
    SOVERSION 6
)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)

# Compiler flags
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

# Turn exceptions on
kde_enable_exceptions()

include_directories(
    ${XAPIAN_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/core
    ${CMAKE_BINARY_DIR}/core
    ${CMAKE_SOURCE_DIR}/xapian
    ${CMAKE_BINARY_DIR}/xapian
)
# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiSearch")
# Targets
add_subdirectory(xapian)
add_subdirectory(core)
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(akonadiplugin)
add_subdirectory(search)
add_subdirectory(debug)
if(AKONADISEARCH_ENABLE_KRUNNER_RUNNER)
    add_subdirectory(runner)
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiSearchPIM_QCH
        FILE KPim6AkonadiSearchPIMQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiSearchPIMQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiSearchConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(
    EXPORT KPim6AkonadiSearchTargets
    NAMESPACE KPim6::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AkonadiSearchTargets.cmake
)

install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
        EXPORT AKONADISEARCH
        FILE akonadi-search.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-search (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:01 +0100

akonadi-search (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:28 +0100

akonadi-search (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:19 +0100

akonadi-search (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:07 +0100

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dpkg-dev (>= 1.22.5),
               ca-certificates,
               cargo:native,
               cmake (>= 3.16~),
               corrosion,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libakonadimime-dev (>= 4:25.12.1~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkmime-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               librust-cxx-1+default-dev (>= 1.0.106-~~),
               librust-cxx-build-1+default-dev (>= 1.0.106-~~),
               librust-html2text-0.12+default-dev,
               libstd-rust-dev,
               libxapian-dev,
               qt6-base-dev (>= 6.8.0~),
               rustc:native,
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
Rules-Requires-Root: no

Package: libakonadisearch-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libakonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libakonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.12.1~),
         libakonadimime-dev (>= 4:25.12.1~),
         libkf6calendarcore-dev (>= 6.18.0~),
         libkf6contacts-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkmime-dev (>= 25.12.1~),
         libkpim6akonadisearchcore6 (= ${binary:Version}),
         libkpim6akonadisearchdebug6 (= ${binary:Version}),
         libkpim6akonadisearchpim6 (= ${binary:Version}),
         libkpim6akonadisearchxapian6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${so:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libakonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkpim6akonadisearchcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libakonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.

Package: libkpim6akonadisearchdebug6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.

Package: libkpim6akonadisearchpim6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkpim6akonadisearchxapian6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.

## akonadi-search 25.12.1+p24.04+vstable+git20260130.0954

=== debian/changelog ===
akonadi-search (4:25.12.1+p24.04+vstable+git20260130.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:54:10 +0000

akonadi-search (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:30 +1000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
		-DBUILD_QCH=ON \
		-DRust_COMPILER=/usr/bin/rustc-1.85 -DRust_CARGO=/usr/bin/cargo-1.85

## akonadi-search 25.12.1+p24.04+vstable+git20260205.0541

=== debian/changelog ===
akonadi-search (4:25.12.1+p24.04+vstable+git20260205.0541-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:41:47 +0000

## akonadi-search 25.12.2

=== agent/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

## Html to text converter target

add_executable(akonadi_html_to_text htmltotext.cpp)

if(Corrosion_FOUND)
    corrosion_import_crate(MANIFEST_PATH ${CMAKE_CURRENT_SOURCE_DIR}/rs/htmlparser/Cargo.toml)
    target_link_libraries(
        akonadi_html_to_text
        PUBLIC htmlparser -Wl,--gc-sections
    )

    if(Corrosion_VERSION VERSION_LESS 0.6.0)
        set(corrosion_build_dir "build")
    else()
        string(
            SHA1
            cargo_path_hash
            ${CMAKE_CURRENT_SOURCE_DIR}/rs/htmlparser/Cargo.toml
        )
        string(SUBSTRING "${cargo_path_hash}" 0 5 cargo_path_hash)
        set(corrosion_build_dir "htmlparser_${cargo_path_hash}")
    endif()

    target_include_directories(
        akonadi_html_to_text
        PRIVATE
            ${CMAKE_BINARY_DIR}/cargo/${corrosion_build_dir}/${Rust_CARGO_TARGET}/cxxbridge/htmlparser/src/
    )

    target_compile_definitions(akonadi_html_to_text PRIVATE -DHAS_HTMLPARSER)
endif()

target_link_libraries(
    akonadi_html_to_text
    PRIVATE Qt::Core Qt::Gui KF6::CoreAddons KF6::I18n
)

install(TARGETS akonadi_html_to_text ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## Indexing agent target

kde_enable_exceptions()
include_directories(${XAPIAN_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_executable(akonadi_indexing_agent)

target_sources(
    akonadi_indexing_agent
    PRIVATE
        abstractindexer.cpp
        agent.cpp
        emailindexer.cpp
        contactindexer.cpp
        akonotesindexer.cpp
        calendarindexer.cpp
        collectionindexer.cpp
        priority.cpp
        scheduler.cpp
        collectionindexingjob.cpp
        index.cpp
        collectionupdatejob.cpp
        abstractindexer.h
        agent.h
        emailindexer.h
        contactindexer.h
        akonotesindexer.h
        calendarindexer.h
        collectionindexer.h
        priority.h
        scheduler.h
        collectionindexingjob.h
        index.h
        collectionupdatejob.h
)

ecm_qt_declare_logging_category(akonadi_indexing_agent HEADER akonadi_indexer_agent_debug.h IDENTIFIER AKONADI_INDEXER_AGENT_LOG CATEGORY_NAME org.kde.pim.akonadi_indexer_agent
        DESCRIPTION "akonadisearch (akonadi indexer agent)"
        OLD_CATEGORY_NAMES log_akonadi_indexer_agent
        EXPORT AKONADISEARCH
)

ecm_qt_declare_logging_category(akonadi_indexing_agent HEADER akonadi_indexer_agent_calendar_debug.h IDENTIFIER AKONADI_INDEXER_AGENT_CALENDAR_LOG CATEGORY_NAME org.kde.pim.akonadi_indexer_agent.calendar
        DESCRIPTION "akonadisearch (akonadi indexer agent calendar)"
        EXPORT AKONADISEARCH
)

ecm_qt_declare_logging_category(akonadi_indexing_agent HEADER akonadi_indexer_agent_email_debug.h IDENTIFIER AKONADI_INDEXER_AGENT_EMAIL_LOG CATEGORY_NAME org.kde.pim.akonadi_indexer_agent.email
        DESCRIPTION "akonadisearch (akonadi indexer agent email)"
        EXPORT AKONADISEARCH
)

qt_add_dbus_adaptor(akonadi_indexing_agent_SRCS org.freedesktop.Akonadi.Indexer.xml agent.h AkonadiIndexingAgent)
target_sources(akonadi_indexing_agent PRIVATE ${akonadi_indexing_agent_SRCS})

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_indexing_agent PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(
    akonadi_indexing_agent
    PRIVATE
        Qt::Core
        KPim6::AkonadiCore
        KPim6::AkonadiMime
        KPim6::Mime
        KF6::Contacts
        KPim6::AkonadiAgentBase
        KF6::CalendarCore
        KPim6::AkonadiSearchXapian
        KPim6::AkonadiSearchPIM
        KF6::Codecs
        KF6::I18n
        KF6::ConfigCore
        KF6::TextUtils
)

install(TARGETS akonadi_indexing_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(
    FILES akonadiindexingagent.desktop
    DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents"
)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
akonadi-search (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 13:07:19 +0000

akonadi-search (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:25:31 +0000

akonadi-search (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:54:35 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cargo:native,
               cmake (>= 3.16~),
               corrosion,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dpkg-dev (>= 1.22.5),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.2~),
               libakonadimime-dev (>= 4:25.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6runner-dev (>= 6.6.0~),
               libkmime-dev (>= 25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               librust-cxx-1+default-dev (>= 1.0.106-~~),
               librust-cxx-build-1+default-dev (>= 1.0.106-~~),
               librust-html2text-0.12+default-dev,
               libstd-rust-dev,
               libxapian-dev,
               qt6-base-dev (>= 6.7.0~),
               rustc:native,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Rules-Requires-Root: no

Package: libakonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libakonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadisearch-bin,
Replaces: libkf5akonadisearch-bin,
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libakonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.12.2~),
         libakonadimime-dev (>= 4:25.12.2~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkmime-dev (>= 25.12.2~),
         libkpim6akonadisearchcore6 (= ${binary:Version}),
         libkpim6akonadisearchdebug6 (= ${binary:Version}),
         libkpim6akonadisearchpim6 (= ${binary:Version}),
         libkpim6akonadisearchxapian6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${so:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libakonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkpim6akonadisearchcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libakonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the core library.

Package: libkpim6akonadisearchdebug6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the debug library.

Package: libkpim6akonadisearchpim6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libakonadisearch-bin,
            libakonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkpim6akonadisearchxapian6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
 This package contains the xapian library.

## akonadi-search 25.12.2+p24.04+vstable+git20260216.0314

=== debian/changelog ===
akonadi-search (4:25.12.2+p24.04+vstable+git20260216.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 03:14:07 +0000

akonadi-search (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:47:27 +0000

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cargo-1.85,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               doxygen,
               kaccounts-integration-dev,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets,
               kf6-kcontacts-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-krunner-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kmime-dev,
               libxapian-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               rustc-1.85,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-search.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-search
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-search
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadisearch-data (<= 24.08.3-0zneon+24.04+noble+release+build10)
Replaces: libkf5akonadisearch-bin,
          libkf5akonadisearch-data,
          libkf5akonadisearch-plugins,
          libkf5akonadisearchcore5,
          libkf5akonadisearchdebug5,
          libkf5akonadisearchpim5,
          libkf5akonadisearchxapian5,
          libkpim5akonadisearch-bin,
          libkpim5akonadisearch-data,
          libkpim5akonadisearch-plugins,
          libkpim5akonadisearchcore5,
          libkpim5akonadisearchdebug5,
          libkpim5akonadisearchpim5,
          libkpim5akonadisearchxapian5
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: kpim6-akonadi-search-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcalendarcore-dev,
         kf6-kcontacts-dev,
         kpim6-akonadi-dev,
         kpim6-akonadi-mime-dev,
         kpim6-akonadi-search (= ${binary:Version}),
         kpim6-kmime-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf5akonadisearch-dev, libkpim5akonadisearch-dev
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkpim5akonadisearch-bin
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-data
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-dev
Architecture: all
Depends: kpim6-akonadi-search-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-plugins
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchcore5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchdebug5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchpim5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchxapian5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-bin
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-data
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-dev
Architecture: all
Depends: kpim6-akonadi-search-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-plugins
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchcore5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchdebug5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchpim5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchxapian5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## akonadi-search 25.12.2+p24.04+vstable+git20260219.0452

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.3")
 project(AkonadiSearch VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -93,11 +93,11 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "6.6.1")
-set(AKONADI_MIMELIB_VERSION "6.6.1")
-set(KMIME_LIB_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.3")
+set(AKONADI_MIMELIB_VERSION "6.6.3")
+set(KMIME_LIB_VERSION "6.6.3")
 set(QT_REQUIRED_VERSION "6.8.0")
-set(KPIM_MIME_VERSION "6.6.1")
+set(KPIM_MIME_VERSION "6.6.3")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)

=== debian/changelog ===
akonadi-search (4:25.12.2+p24.04+vstable+git20260219.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:52:09 +0000

## akonadi-search 25.12.2+p24.04+vunstable+git20260206.1228

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-
-set(PIM_VERSION "6.6.3")
+cmake_minimum_required(VERSION 3.27)
+
+set(PIM_VERSION "6.6.40")
 project(AkonadiSearch VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
-
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.21.0")
+
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -57,9 +56,38 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(
+            STATUS
+            "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook"
+        )
+        execute_process(
+            COMMAND "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(
+            WARNING
+            "This module has pre-commit support. pre-commit binary was not found."
+        )
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(KDEInstallDirs)
@@ -70,18 +98,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-include(ECMAddQch)
-
-option(
-    BUILD_QCH
-    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-    OFF
-)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
+include(ECMGenerateQDoc)
 
 cmake_dependent_option(
     AKONADISEARCH_ENABLE_KRUNNER_RUNNER
@@ -93,12 +110,12 @@
 
 set(AKONADISEARCH_VERSION ${PIM_VERSION})
 
-set(AKONADI_VERSION "6.6.3")
-set(AKONADI_MIMELIB_VERSION "6.6.3")
-set(KMIME_LIB_VERSION "6.6.3")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KPIM_MIME_VERSION "6.6.3")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADI_MIMELIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.44")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KPIM_MIME_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Test)
 find_package(
@@ -148,7 +165,12 @@
 # Compiler flags
 add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_search\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0 KMIME 6.7.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT
@@ -187,18 +209,6 @@
     add_subdirectory(runner)
 endif()
 
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6AkonadiSearchPIM_QCH
-        FILE KPim6AkonadiSearchPIMQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS
-        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiSearchPIMQchTargets.cmake\")"
-    )
-endif()
-
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiSearchConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiSearchConfig.cmake"

=== agent/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,7 @@
         set(corrosion_build_dir "build")
     else()
         string(
-            SHA1
-            cargo_path_hash
+            SHA1 cargo_path_hash
             ${CMAKE_CURRENT_SOURCE_DIR}/rs/htmlparser/Cargo.toml
         )
         string(SUBSTRING "${cargo_path_hash}" 0 5 cargo_path_hash)
@@ -54,7 +53,6 @@
         agent.cpp
         emailindexer.cpp
         contactindexer.cpp
-        akonotesindexer.cpp
         calendarindexer.cpp
         collectionindexer.cpp
         priority.cpp
@@ -66,7 +64,6 @@
         agent.h
         emailindexer.h
         contactindexer.h
-        akonotesindexer.h
         calendarindexer.h
         collectionindexer.h
         priority.h

=== lib/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kde_enable_exceptions()
include_directories(${XAPIAN_INCLUDE_DIR})

add_library(KPim6AkonadiSearchPIM)
add_library(KPim6::AkonadiSearchPIM ALIAS KPim6AkonadiSearchPIM)

target_sources(
    KPim6AkonadiSearchPIM
    PRIVATE
        query.cpp
        resultiterator.cpp
        contactquery.cpp
        emailquery.cpp
        notequery.cpp
        contactcompleter.cpp
        collectionquery.cpp
        indexeditems.cpp
        ../search/email/agepostingsource.cpp
        query.h
        resultiterator.h
        contactquery.h
        emailquery.h
        notequery.h
        contactcompleter.h
        collectionquery.h
        indexeditems.h
        ../search/email/agepostingsource.h
)

ecm_qt_declare_logging_category(KPim6AkonadiSearchPIM HEADER akonadi_search_pim_debug.h IDENTIFIER AKONADI_SEARCH_PIM_LOG CATEGORY_NAME org.kde.pim.akonadi_search_pim
        DESCRIPTION "akonadisearch(akonadi pim lib)"
        OLD_CATEGORY_NAMES log_akonadi_search_pim
        EXPORT AKONADISEARCH
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6AkonadiSearchPIM PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(
    KPim6AkonadiSearchPIM
    BASE_NAME AKONADI_SEARCH_PIM
    EXPORT_FILE_NAME search_pim_export.h
)

target_link_libraries(
    KPim6AkonadiSearchPIM
    PUBLIC Qt::Core
    PRIVATE KPim6::AkonadiCore ${XAPIAN_LIBRARIES}
)

set_target_properties(
    KPim6AkonadiSearchPIM
    PROPERTIES
        VERSION ${AKONADISEARCH_VERSION}
        SOVERSION ${AKONADISEARCH_SOVERSION}
        EXPORT_NAME AkonadiSearchPIM
)

target_include_directories(
    KPim6AkonadiSearchPIM
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch>"
)

install(
    TARGETS KPim6AkonadiSearchPIM
    EXPORT KPim6AkonadiSearchTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

set(AKONADISEARCH_INCLUDES
    query.h
    contactquery.h
    emailquery.h
    contactcompleter.h
    notequery.h
    collectionquery.h
    indexeditems.h
    resultiterator.h
)

install(
    FILES
        ${AKONADISEARCH_INCLUDES}
        ${CMAKE_CURRENT_BINARY_DIR}/search_pim_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiSearch/PIM
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== search/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_subdirectory(email)
add_subdirectory(contact)
add_subdirectory(calendar)

=== agent/autotests/CMakeLists.txt ===
add_definitions(-DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/testdata")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

set(indexer_SRCS
    ../emailindexer.cpp
    ../contactindexer.cpp
    ../calendarindexer.cpp
    ../abstractindexer.cpp
    ../collectionindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../../search/calendar/calendarsearchstore.cpp
    ../akonadi_indexer_agent_debug.cpp
    ../akonadi_indexer_agent_calendar_debug.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_email_debug.cpp
)

set(indexer_LIBS
    Qt::Test
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::AkonadiAgentBase
    KPim6::Mime
    KF6::Contacts
    KF6::CalendarCore
    KPim6::AkonadiSearchPIM
    KPim6::AkonadiSearchXapian
    KF6::I18n
    KF6::Codecs
    KF6::ConfigCore
    KF6::TextUtils
)

set(indexertest_SRCS indexertest.cpp ${indexer_SRCS})

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_executable(indexertest ${indexertest_SRCS})
add_test(NAME indexertest COMMAND indexertest)
ecm_mark_as_test(indexertest)
target_link_libraries(indexertest ${indexer_LIBS})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
if(KDEPIM_RUN_AKONADI_TEST)
    set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
    set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

    set(scheduler_SRCS
        ../scheduler.cpp
        ../index.cpp
        ../collectionindexingjob.cpp
        ${indexer_SRCS}
    )

    add_akonadi_isolated_test_advanced(schedulertest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")
    add_akonadi_isolated_test_advanced(collectionindexingjobtest.cpp "${scheduler_SRCS}" "${indexer_LIBS}")

    if(NOT WIN32 AND NOT APPLE)
        add_executable(
            collectionquerytest
            collectionquerytest.cpp
            ${query_SRCS}
            ${indexer_SRCS}
            ${scheduler_SRCS}
        )
        add_test(NAME collectionquerytest COMMAND collectionquerytest)
        ecm_mark_as_test(collectionquerytest)
        target_link_libraries(
            collectionquerytest
            ${indexer_LIBS}
            KPim6::AkonadiSearchPIM
            KPim6::AkonadiAgentBase
            KF6::ConfigCore
            Qt::Widgets
            Qt::DBus
            KF6::TextUtils
        )
    endif()
endif()

=== akonadiplugin/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/
    ${CMAKE_CURRENT_BINARY_DIR}/..
)
add_executable(searchplugintest)

target_sources(
    searchplugintest
    PRIVATE
        searchplugintest.cpp
        ../searchplugin.cpp
        ../../agent/emailindexer.cpp
        ../../agent/calendarindexer.cpp
        ../../agent/contactindexer.cpp
        ../../agent/abstractindexer.cpp
        ../../search/pimsearchstore.cpp
        ../../search/email/emailsearchstore.cpp
        ../../search/email/agepostingsource.cpp
        ../../search/contact/contactsearchstore.cpp
        ../../search/calendar/calendarsearchstore.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_debug.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_calendar_debug.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_email_debug.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/../akonadiplugin_indexer_debug.cpp
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_test(NAME searchplugintest COMMAND searchplugintest)
ecm_mark_as_test(searchplugintest)

target_link_libraries(
    searchplugintest
    Qt::Test
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::Mime
    KF6::Contacts
    ${XAPIAN_LIBRARIES}
    KF6::CalendarCore
    KPim6::AkonadiSearchPIM
    KPim6::AkonadiSearchXapian
    KF6::Codecs
    KF6::TextUtils
)
